<?php
namespace User\Report;



/**
 * User Report.
 * @author andre.fourie
 */
class ProfileGrid extends \Utility\Service\Report
{



    /**
     * @var string
     */
    protected $_title  = 'User Data Export';
    /**
     * @var string
     */
    protected $_subject = 'System users.';
    /**
     * @var string
     */
    protected $_description = 'Export of system users.';
    /**
     * @var array
     */
    protected $_notes = array(
        'Confidential information, generated using Bid 4 Cars, for more information visit bid4cars.com.na'
    );
    /**
     * @var array
     */
    protected $_headers = array(
        'Group',
        'Dealership',
        'Name',
        'Surname',
        'Email',
        'Mobile',
        'User Type',
        'Status',
        'Region',
        'Town',
        'Address',
        'Registered'
    );
    /**
     * @var array
     */
    protected $_fields = array(
        'companyGroup_name',
        'company_name',
        'profile_firstName',
        'profile_familyName',
        'profile_email',
        'profile_mobile',
        'permissions_name',
        'profile_jobState',
        'region_name',
        'city_name',
        'company_street',
        'profile_created'
    );
    /**
     * @var array
     */
    protected $_totals = array();
    /**
     * @var array
     */
    protected $_currencyFields = array();



    /**
     * Build the dataset, or not.
     */
    public function build()
    {
        #-> Data passed by DataBin Grid functionality.
        $dateTimeFormat = \Utility\Definitions\Locale::getDateTimeFormat();
        foreach ($this->_data as $rowId => $rowData)
        {
            $this->_data[$rowId]['profile_created'] = $rowData['profile_created']->format($dateTimeFormat);
        }
    }

}
